LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
CameraGeometry Struct Referencepublished

specifies a three-dimensional camera. More...

`import"CameraGeometry.idl";`

## Public Attributes
Position3D | vrp
| is the camera position More...
Direction3D | vpn
| is the camera view direction More...
Direction3D | vup
| is the camera up direction More...

## Detailed Description

specifies a three-dimensional camera.

## Member Data Documentation

## ◆ vpn

Direction3D vpn

is the camera view direction

## ◆ vrp

Position3D vrp

is the camera position

## ◆ vup

Direction3D vup

is the camera up direction

The documentation for this struct was generated from the following file:

- com/sun/star/drawing/CameraGeometry.idl